<?php
session_start();
include "./var.php";
$tablagastos = getgastos($_SESSION['id_estrategia']);
$getperfiltable =  getperfiltable();

$adicionales=<<<sss
<script src="../js/scripttable.js"></script>
<script>
$('#example2').DataTable();
var table = $('#example2').DataTable();

$('#example2 tbody').on( 'click', 'tr', function () {
    if ( $(this).hasClass('selected') ) {
        $(this).removeClass('selected');
    }
    else {
        table.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
    }
} );

$('#example3').DataTable();
var table = $('#example3').DataTable();

$('#example3 tbody').on( 'click', 'tr', function () {
    if ( $(this).hasClass('selected') ) {
        $(this).removeClass('selected');
    }
    else {
        table.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
    }
} );

</script>
sss;
echo $varfirst;

echo $var=<<<llll
<div class="right_col" role="main">
            <div class="col-md-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2><strong>Catalogo de perfiles:</strong> <small></small></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <br />
                    <form id="demo-form2" data-parsley-validate class="form-horizontal form-label-left">
                      
                      <div class="form-group">
                        <label for="middle-name" class="control-label col-md-3 col-sm-3 col-xs-12" data-toggle="tooltip" data-placement="rigth" >Nombre:</label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                          <input id="nombreperfil" class="form-control col-md-7 col-xs-12" type="text" name="ndegasto" required="required">
                        </div>
                      </div>
                      <div class="form-group">
                        <label for="middle-name" class="control-label col-md-3 col-sm-3 col-xs-12" data-toggle="tooltip" data-placement="rigth" >Descripcion:</label>
                        <div class="col-md-6 col-sm-6 col-xs-12">
                          <input id="descripcionperfil" class="form-control col-md-7 col-xs-12" type="text" name="ndegasto" required="required">
                        </div>
                      </div>
                      <div class="ln_solid"></div>
                      <br>
                      <div class="form-group">
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                          <button id="limpiargastos" class="btn btn-primary" type="reset">Limpiar</button>
                          <button type="button" class="btn btn-success" onclick="agregaperfil();">Guardar</button>
                        </div>
                      </div>

                    </form>
                  </div>
                  
                   <div class="x_content">
                    <div class="table-responsive">
                      <table class="table table-striped jambo_table bulk_action" id="example2" class="table table-striped table-bordered dt-responsive nowrap"cellspacing="0">
                        <thead>
                          <th>ID:</th>
                          <th>Nombre:</th>

                          <th>Descripcion</th>
						  <th>Eliminar</th>
                        </thead>
                        <tbody>
                          $getperfiltable
                        </tbody>
                      </table>
                    </div>
                </div>
                </div>
            </div>
</div>
<script src="./js/moment.min.js"></script>
<script src="./js/cat_perfiles.js"></script>   
llll;
echo $varend;
echo $adicionales;
echo $cerrarend;

function getperfiltable(){
$table="cat_perfiles";
$objeto= new db();
$kuery = "SELECT * FROM `cat_perfiles`";
$resultado = $objeto->consultaregistros($kuery);
$menu="";
    for($x=0;$x<count($resultado);$x++){
        //echo $array[$x];
        $id_perfil=$resultado[$x]["id_cat_perfiles"];
        $nombre=$resultado[$x]["nombre"];
        $descripcion=$resultado[$x]["descripcion"];



        $menu.=<<<menu
        <tr class="claseeduardo">
            <td> $id_perfil</td>
            <td ondblclick="editar2('cat_perfiles', 'nombre', $id_perfil)" class="media-heading" id="nombrecat_perfiles$id_perfil" title="Doble click para editar.">$nombre</td>
            <td ondblclick="editar2('cat_perfiles', 'descripcion', $id_perfil)" class="media-heading" id="descripcioncat_perfiles$id_perfil" title="Doble click para editar.">$descripcion</td>
			<td class="media-heading" id="Botoneliminar$id_perfil" title="Doble click para borrar."><button class="btn btn-round btn-info"  onclick="eliminarregistro2('$id_perfil', '$table')" type="button" id="button">Borrar</button></td>
        </tr>
menu;
    }
return $menu;
}


?>